//--------------------------------------------------------------------------------------------------
//
// Title       : reader
// Design      : U4
// Author      : SJensen
// Company     : MBARI
//
//-------------------------------------------------------------------------------------------------
//
// File        : c:\Projects\genosensor\2g\CPLDs\Rvavle\Rvalve\U4\compile\reader.v
// Generated   : Fri Apr 30 09:58:19 2004
// From        : c:\projects\genosensor\2g\cplds\rvavle\rvalve\u4\src\reader.bde
// By          : Bde2Verilog ver. 2.01
//
//-------------------------------------------------------------------------------------------------
//
// Description : 
//
//-------------------------------------------------------------------------------------------------

// synopsys translate_off
`ifdef _VCP
`else
`define library(a,b)
`endif
// synopsys translate_on


// ---------- Design Unit Header ---------- //
`timescale 1ps / 1ps

module reader (DRVCTLw,DRVHIGHr,DRVLOWr,DRVSTATr,Mclk,Reset,data,SSclk,outDATA) ;

// ------------ Port declarations --------- //
input DRVCTLw;
wire DRVCTLw;
input DRVHIGHr;
wire DRVHIGHr;
input DRVLOWr;
wire DRVLOWr;
input DRVSTATr;
wire DRVSTATr;
input Mclk;
wire Mclk;
input Reset;
wire Reset;
input data;
wire data;
output SSclk;
wire SSclk;
output [7:0] outDATA;
wire [7:0] outDATA;

// ----------- Signal declarations -------- //
wire NET1330;
wire NET843;
wire [5:0] SSclkb;

// -------- Component instantiations -------//

EncoderEngine U3
(
	.DAV(NET1330),
	.Mclk(Mclk),
	.Reset(Reset),
	.SSclkb(SSclkb),
	.data(data),
	.shift(NET843),
	.start(DRVCTLw)
);



Shifter U4
(
	.Mclk(Mclk),
	.Pdata(outDATA),
	.RVALVEHIGHr(DRVHIGHr),
	.RVALVELOWr(DRVLOWr),
	.Reset(Reset),
	.data(data),
	.shift(NET843)
);



DAVctl U5
(
	.DAVin(NET1330),
	.Pdata(outDATA),
	.RVALVESTATr(DRVSTATr)
);



// ----------- Terminals assignment --------//
//		   ---- Output terminals ---        //
assign SSclk = SSclkb[1];

endmodule 
